compatibility.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_parallel

## Functions

template<typename _Tp >
_Tp | __gnu_parallel::__add_omp (volatile _Tp *__ptr, _Tp __addend)
template<typename _Tp >
bool | __gnu_parallel::__cas_omp (volatile _Tp *__ptr, _Tp __comparand, _Tp __replacement)
template<typename _Tp >
bool | __gnu_parallel::__compare_and_swap (volatile _Tp *__ptr, _Tp __comparand, _Tp __replacement)
template<typename _Tp >
_Tp | __gnu_parallel::__fetch_and_add (volatile _Tp *__ptr, _Tp __addend)
void | __gnu_parallel::__yield ()

## Detailed Description

Compatibility layer, mostly concerned with atomic operations.

This file is a GNU parallel extension to the Standard C++ Library and contains implementation details for the library's internal use.

Definition in file parallel/compatibility.h.